Subject: bug#54371: 29.0.50; read-char does not reset idle timer in some cases

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Mar 2022 18:43:39 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Sun, 13 Mar 2022 16:02:23 +0100
> 
> Ignacio Casso <[email-masked]> writes:
> 
> > However I can't find the proper function to use in place of
> > <<reset-idle-timer-function>>. Do you know of a way to reset the idle
> > timer programmatically, without actual user input?
> 
> Doesn't seem to be anything reachable from Lisp land.  Adding a subr
> that just calls timer_start_idle would be trivial, though.

I think we should first understand the use case better.  For starters,
I don't think I understand why an idle timer function should want to
call read-char with a time-out.  It is a strange thing to do, IMO.